%function hfssSaveProject(fid, projectFile, Overwrite)
%
% Popis funkce :
% -------------
% Tato funkce tvori potrebny skript k ulozeni activniho HFSS projektu na
% disk se zvolenym jmenem souboru.
%
% Parametery :
% ------------
% fid         - file identifier of the HFSS script file.
% projectFile - cele jmeno projektu, ktery bude ukladan.
% [Overwrite] - priznak k prepsani v propade, ze soubor se shodnym jmenem
% existuje.
% 
% 
% Priklad :
% ---------
% fid = fopen('pokus.m', 'wt');
% ... 
% hfssSaveProject(fid, HprojectFile)
% -------------------------------------------------------------------------

function HfssSaveAsProject(fid,HprojectFile,HOverwrite)
global HProject

    % arguments processor.
    if (nargin < 2)
        error('Insufficient # of arguments !');
    elseif (nargin < 3)
        HOverwrite = [];
    end;

    % vlastni argument.
    if isempty(HOverwrite)
        HOverwrite = false;
    end;

    % create the script.
    if (HOverwrite)
        HOverwrite = true;
        HHOver = 'true';
    else
        HOverwrite = false;
        HHOver = 'false';
    end;
    
    %Prime vykonani v programu HFSS
    invoke(HProject,'SaveAs',HprojectFile,HOverwrite);
    
    %Zapis do souboru temp
    fprintf(fid, ['invoke(HProject,''SaveAs'',''',HprojectFile,''',',HHOver,');\n']);

end
 